Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.waap.custom_page_sets.list()
page = page.results[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/waap"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Waap.CustomPageSets.List(context.TODO(), waap.CustomPageSetListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}curl --request GET \
--url https://api.gcore.com/waap/v1/custom-page-sets \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/waap/v1/custom-page-sets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"limit": 123,
"offset": 123,
"count": 123,
"results": [
{
"name": "<string>",
"id": 123,
"domains": [
123
],
"block": {
"enabled": true,
"logo": "<string>",
"header": "<string>",
"title": "<string>",
"text": "<string>"
},
"block_csrf": {
"enabled": true,
"logo": "<string>",
"header": "<string>",
"title": "<string>",
"text": "<string>"
},
"captcha": {
"enabled": true,
"logo": "<string>",
"header": "<string>",
"title": "<string>",
"text": "<string>",
"error": "<string>"
},
"cookie_disabled": {
"enabled": true,
"header": "<string>",
"text": "<string>"
},
"handshake": {
"enabled": true,
"logo": "<string>",
"header": "<string>",
"title": "<string>"
},
"javascript_disabled": {
"enabled": true,
"header": "<string>",
"text": "<string>"
}
}
]
}{
"type": "http-bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Invalid domain name: ''''"
}{
"detail": "Auth token is missing or invalid"
}{
"detail": "Permission denied"
}{
"type": "http-not-found",
"title": "Not Found",
"status": 404,
"detail": "The resource is not found"
}{
"type": "request-validation-failed",
"title": "Request validation error.",
"status": 422,
"detail": "One or more fields have validation errors.",
"errors": [
{
"loc": [
"body",
"name"
],
"detail": "Input should be a valid string"
},
{
"loc": [
"body",
"date"
],
"detail": "Field required"
},
{
"loc": [
"query",
"limit"
],
"detail": "Field required"
}
]
}{
"type": "internal-server-error",
"title": "Internal server error.",
"status": 500,
"detail": "An unexpected condition was encountered which prevented the server from fulfilling the request."
}Custom Page Sets
Retrieve custom page sets available for use
Retrieve a list of custom page sets available for use
GET
/
waap
/
v1
/
custom-page-sets
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.waap.custom_page_sets.list()
page = page.results[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/waap"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Waap.CustomPageSets.List(context.TODO(), waap.CustomPageSetListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Query Parameters
Sort the response by given field.
Available options:
name, -name, id, -id Number of items to return
Required range:
0 <= x <= 100Number of items to skip
Required range:
0 <= x <= 100000Filter page sets based on their name. Supports '*' as a wildcard character
Example:
"*example"
Filter page sets based on their IDs
Response
Successful Response
Number of items requested in the response
Items response offset used
Number of items contain in the response
List of items returned in the response following given criteria
Show child attributes
Show child attributes
Was this page helpful?
⌘I